Loading...
Searching...
No Matches
etl::ilist< T >::data_node_t Struct Reference

The data node element in the list. More...

`#include <list.h>`

## Public Member Functions

| data_node_t (const T &value_)
Public Member Functions inherited from etl::list_base::node_t
| node_t ()
| Constructor.
void | reverse ()
| Reverses the previous & next pointers.

## Public Attributes

T | value
Public Attributes inherited from etl::list_base::node_t
node_t * | previous
node_t * | next

## Detailed Description

template<typename T>
struct etl::ilist< T >::data_node_t

The data node element in the list.

The documentation for this struct was generated from the following file:

- include/etl/list.h